## python-freezerclient 2.2.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-freezerclient (2.2.0-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jan 2020 13:24:48 +0100

python-freezerclient (2.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #945519).

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 27 Nov 2019 11:07:34 +0100

=== debian/control ===
Source: python-freezerclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Michal Arbet <michal.arbet@ultimum.io>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.4.1
Build-Depends-Indep:
 python3-cliff,
 python3-keystoneauth1,
 python3-mock,
 python3-openstackdocstheme,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-stestr,
 python3-testtools,
Homepage: https://github.com/openstack/python-freezerclient.git
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-freezerclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-freezerclient

Package: python3-freezerclient
Section: python
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-setuptools,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack backup restore and disaster recovery service - client files
 Freezer is a distributed backup restore and disaster recovery as a service
 platform. It is designed to be multi OS (Linux, Windows, OSX, *BSD), focused
 on providing efficiency and flexibility for block based backups, file based
 incremental backups, point-in-time actions, jobs synchronization (i.e.
 backup synchronization over multiple nodes) and many other features.
 It is aimed at being useful for all environments, including large
 ephemeral Clouds.
 .
 This package contains the Python 3.x module.

Package: python-freezerclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack backup restore and disaster recovery service - doc files
 Freezer is a distributed backup restore and disaster recovery as a service
 platform. It is designed to be multi OS (Linux, Windows, OSX, *BSD), focused
 on providing efficiency and flexibility for block based backups, file based
 incremental backups, point-in-time actions, jobs synchronization (i.e.
 backup synchronization over multiple nodes) and many other features.
 It is aimed at being useful for all environments, including large
 ephemeral Clouds.
 .
 This package contains the documentation.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/python-freezerclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-freezerclient 3.0.1

=== debian/changelog ===
python-freezerclient (3.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:01:13 +0200

python-freezerclient (3.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-astroid as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 Apr 2020 22:23:28 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  python3-pbr,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.4.1
 Build-Depends-Indep:
+ python3-astroid,
  python3-cliff,
  python3-keystoneauth1,
  python3-mock,
@@ -23,9 +23,10 @@
  python3-oslo.utils,
  python3-stestr,
  python3-testtools,
-Homepage: https://github.com/openstack/python-freezerclient.git
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-freezerclient.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-freezerclient
+Homepage: https://github.com/openstack/python-freezerclient.git
 
 Package: python3-freezerclient
 Section: python

## python-freezerclient 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL
pbr!=2.1.0,>=2.0.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
cliff!=2.9.0,>=2.8.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-freezerclient (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 12:07:25 +0200

python-freezerclient (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-isort as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2020 22:31:23 +0200

python-freezerclient (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 16:33:01 +0200

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
 Build-Depends-Indep:
  python3-astroid,
  python3-cliff,
+ python3-isort,
  python3-keystoneauth1,
- python3-mock,
  python3-openstackdocstheme,
  python3-oslo.serialization,
  python3-oslo.utils,

## python-freezerclient 4.3.0

=== debian/changelog ===
python-freezerclient (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:28:17 +0200

python-freezerclient (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 16:23:44 +0200

python-freezerclient (4.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 10:49:55 +0200

python-freezerclient (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * debhelper-compat 11.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 14:36:00 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc


override_dh_auto_build:
	python3 setup.py build --force

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	
override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_clean:
	python3 setup.py clean
	find . -iname '*.pyc' -delete
	rm -rf build
	rm -f ChangeLog AUTHORS

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-freezerclient-doc/usr/share/doc/python-freezerclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-freezerclient 4.4.0

=== debian/changelog ===
python-freezerclient (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 10:24:34 +0100

python-freezerclient (4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Feb 2022 22:21:53 +0100

## python-freezerclient 5.0.0

=== debian/changelog ===
python-freezerclient (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:12:46 +0200

python-freezerclient (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 23:04:49 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michal Arbet <michal.arbet@ultimum.io>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,

## python-freezerclient 5.1.0

=== debian/changelog ===
python-freezerclient (5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 12:06:07 +0200

python-freezerclient (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 09:59:50 +0100

## python-freezerclient 5.2.0

=== debian/changelog ===
python-freezerclient (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:43:46 +0200

python-freezerclient (5.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Sep 2023 12:33:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,10 @@
 override_dh_auto_clean:
 	python3 setup.py clean
 	find . -iname '*.pyc' -delete
-	rm -rf build
+	rm -rf build *.egg-info
 	rm -f ChangeLog AUTHORS
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-freezerclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-freezerclient 6.0.0

=== debian/changelog ===
python-freezerclient (6.0.0-3~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 09:53:08 +0000

python-freezerclient (6.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:51:29 +0100

python-freezerclient (6.0.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:20:15 +0100

python-freezerclient (6.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed astroid and isort from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 10:47:53 +0100

python-freezerclient (5.2.0-5) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090503).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:48:55 +0100

python-freezerclient (5.2.0-4) unstable; urgency=medium

  * Removed runtime depends on python3-setuptools (Closes: #1083638).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2024 12:02:44 +0200

python-freezerclient (5.2.0-3) unstable; urgency=medium

  * Add remove-runtime-depends-on-setuptools.patch (Closes: #1083638).

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Oct 2024 22:42:16 +0200

## python-freezerclient 6.1.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
python-freezerclient (6.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:09:47 +0200

python-freezerclient (6.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Sep 2025 18:22:17 +0200

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-astroid,
  python3-cliff,
- python3-isort,
  python3-keystoneauth1,
  python3-openstackdocstheme,
  python3-oslo.serialization,
@@ -36,7 +34,6 @@
  python3-keystoneauth1,
  python3-oslo.serialization,
  python3-oslo.utils,
- python3-setuptools,
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack backup restore and disaster recovery service - client files

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 
 override_dh_auto_build:
@@ -31,5 +31,5 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-freezerclient-doc/usr/share/doc/python-freezerclient-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc
 endif

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-freezerclient refs/tags/(\d[brc\d\.]+)

## python-freezerclient 6.2.0

=== debian/changelog ===
python-freezerclient (6.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed homepage.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 18:06:00 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-freezerclient.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-freezerclient
-Homepage: https://github.com/openstack/python-freezerclient.git
+Homepage: https://github.com/openstack/python-freezerclient
 
 Package: python3-freezerclient
 Section: python
